summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMusikolo2020-07-04 21:44:05 -0500
committerMusikolo2020-07-04 21:44:05 -0500
commitaf01ba9a227bae602703eb66d6442d99ded1e90b (patch)
tree6ea93c946276170aa00f92f9138da45ad881eff7
downloadaur-af01ba9a227bae602703eb66d6442d99ded1e90b.tar.gz
Adopted from lombok-eclipse package. Add integration with eclipse-java, eclipse-jee and spring-tool-suite packages
-rw-r--r--.SRCINFO36
-rw-r--r--PKGBUILD46
-rw-r--r--lombok-eclipse.install27
-rw-r--r--lombok-sts.install27
4 files changed, 136 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..73b0c7a0bed
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,36 @@
+# Generated by mksrcinfo v8
+# Sun Jul 5 02:43:16 UTC 2020
+pkgbase = lombok
+ pkgdesc = Project Lombok integrated with several Eclipse-based installations
+ pkgver = 1.18.12
+ pkgrel = 2
+ url = http://projectlombok.org
+ arch = any
+ license = MIT
+ makedepends = java-runtime
+ noextract = lombok.jar
+ source = https://projectlombok.org/downloads/lombok-1.18.12.jar
+ sha256sums = 49381508ecb02b3c173368436ef71b24c0d4418ad260e6cc98becbcf4b345406
+
+pkgname = lombok-common
+ conflicts = lombok-eclipse
+ replaces = lombok-eclipse
+
+pkgname = lombok-eclipse-java
+ pkgdesc = Lombok integration with Eclipse IDE for Java Developers
+ install = lombok-eclipse.install
+ depends = lombok-common
+ depends = eclipse-java
+
+pkgname = lombok-eclipse-jee
+ pkgdesc = Lombok integration with Eclipse IDE for Java EE Developers
+ install = lombok-eclipse.install
+ depends = lombok-common
+ depends = eclipse-jee
+
+pkgname = lombok-spring-tool-suite
+ pkgdesc = Lombok integration with Spring Tool Suite (STS)
+ install = lombok-sts.install
+ depends = lombok-common
+ depends = spring-tool-suite
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6bd36e707e7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Musikolo <musikolo {at} hotmail [dot] com>
+# Contributor: Infernio <infernio at icloud dot com>
+# Contributor: BluePeril <blueperil (at) blueperil _dot_ de>
+
+pkgbase="lombok"
+pkgname=('lombok-common' 'lombok-eclipse-java' 'lombok-eclipse-jee' 'lombok-spring-tool-suite')
+pkgver=1.18.12
+pkgrel=2
+pkgdesc="Project Lombok integrated with several Eclipse-based installations"
+makedepends=('java-runtime')
+arch=("any")
+url="http://projectlombok.org"
+license=('MIT')
+source=("https://projectlombok.org/downloads/lombok-${pkgver}.jar")
+sha256sums=('49381508ecb02b3c173368436ef71b24c0d4418ad260e6cc98becbcf4b345406')
+noextract=("lombok.jar")
+
+build() {
+ java -jar lombok-$pkgver.jar publicApi
+}
+
+package_lombok-common() {
+ replaces=('lombok-eclipse')
+ conflicts=('lombok-eclipse')
+ install -Dm644 lombok-$pkgver.jar "${pkgdir}"/usr/lib/$pkgname/lombok.jar
+ install -Dm644 lombok-api.jar "${pkgdir}"/usr/lib/$pkgname/lombok-api.jar
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_lombok-eclipse-java() {
+ pkgdesc="Lombok integration with Eclipse IDE for Java Developers"
+ depends=('lombok-common' 'eclipse-java')
+ install=lombok-eclipse.install
+}
+
+package_lombok-eclipse-jee() {
+ pkgdesc="Lombok integration with Eclipse IDE for Java EE Developers"
+ depends=('lombok-common' 'eclipse-jee')
+ install=lombok-eclipse.install
+}
+
+package_lombok-spring-tool-suite() {
+ pkgdesc="Lombok integration with Spring Tool Suite (STS)"
+ depends=('lombok-common' 'spring-tool-suite')
+ install=lombok-sts.install
+}
diff --git a/lombok-eclipse.install b/lombok-eclipse.install
new file mode 100644
index 00000000000..f660a299406
--- /dev/null
+++ b/lombok-eclipse.install
@@ -0,0 +1,27 @@
+# Colored makepkg-like functions by Det
+msg_blue() {
+ printf "${blue}==>${bold} $1${all_off}\n"
+}
+
+note() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
+all_off="$(tput sgr0)"
+bold="${all_off}$(tput bold)"
+blue="${bold}$(tput setaf 4)"
+yellow="${bold}$(tput setaf 3)"
+
+post_install() {
+ java -jar /usr/lib/lombok-common/lombok.jar install /usr/lib/eclipse || exit 1
+ note "You must add lombok.jar or lombok-api.jar to the build path of each Lombok-dependent project."
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ java -jar /usr/lib/lombok-common/lombok.jar uninstall /usr/lib/eclipse || exit 1
+}
+
diff --git a/lombok-sts.install b/lombok-sts.install
new file mode 100644
index 00000000000..c404e880189
--- /dev/null
+++ b/lombok-sts.install
@@ -0,0 +1,27 @@
+# Colored makepkg-like functions by Det
+msg_blue() {
+ printf "${blue}==>${bold} $1${all_off}\n"
+}
+
+note() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
+all_off="$(tput sgr0)"
+bold="${all_off}$(tput bold)"
+blue="${bold}$(tput setaf 4)"
+yellow="${bold}$(tput setaf 3)"
+
+post_install() {
+ java -jar /usr/lib/lombok-common/lombok.jar install /opt/sts-*/ || exit 1
+ note "You must add lombok.jar or lombok-api.jar to the build path of each Lombok-dependent project."
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ java -jar /usr/lib/lombok-common/lombok.jar uninstall /opt/sts-*/ || exit 1
+}
+